Narzędzie diagnostyczne DirectX

Narzędzie diagnostyczne DirectX

Dokumentacja narzędzia diagnostycznego DirectX® firmy Microsoft® zawiera następujące tematy:

  • Narzędzie diagnostyczne DirectX - informacje
  • Rozwiązywanie problemów
  • Testowanie składników DirectX
  • Zmienianie zachowania domyślnego


Narzędzie diagnostyczne DirectX - informacje

Narzędzie diagnostyczne DirectX® firmy Microsoft® wyświetla informacje dotyczące składników i sterowników interfejsu programowania aplikacji (API) DirectX zainstalowanego w systemie. Narzędzie to umożliwia testowanie dźwięku i grafiki oraz usługodawców Microsoft DirectPlay®. Ponadto pozwala ono wyłączyć niektóre funkcje przyspieszenia sprzętowego.

Narzędzie diagnostyczne można wykorzystać do gromadzenia informacji przekazywanych telefonicznie personelowi udzielającemu pomocy technicznej. Informacje zgromadzone przez narzędzie mogą być zapisywane i wklejane do wiadomości e-mail.

Informacje są wyświetlane na kilku stronach. Kolejne strony można wyświetlać przy zastosowaniu następujących metod:

  • Klikanie kart.
  • Kliknięcie przycisku Następna strona.
  • Naciśnięcie klawisza STRZAŁKA W LEWO lub STRZAŁKA W PRAWO wtedy, gdy fokus jest ustawiony na karcie.

Można również zapisać wszystkie informacje w pliku tekstowym, klikając przycisk Zapisz wszystkie informacje.

Uwaga Niektóre informacje, takie jak ilość pamięci zainstalowanej na karcie monitora, mogą być wartościami przybliżonymi.


Rozwiązywanie problemów

W przypadku występowania problemów podczas korzystania z aplikacji DirectX® firmy Microsoft® Narzędzie diagnostyczne DirectX może ułatwić znajdowanie ich źródeł. Należy uwzględnić między innymi następujące przyczyny występowania problemów:

  • Nieprawidłowe wersje składników DirectX. W polu Uwagi na stronie Pliki DirectX należy odszukać ostrzeżenia dotyczące plików w wersjach beta i plików debugowania. Pliki w wersji beta są wersjami opracowanymi na wczesnym etapie testów i nie powinny być instalowane razem z aplikacjami komercyjnymi. Pliki debugowania wykorzystywane podczas projektowania programów i podobne pliki nie powinny być instalowane razem z produktem finalnym, ponieważ po ich zainstalowaniu aplikacje działają znacznie wolniej niż w przypadku zainstalowania handlowych wersji składników.
  • Brak przyspieszenia sprzętowego. Jeśli przyspieszenie sprzętowe DirectDraw® lub Direct3D® jest niedostępne, niektóre programy działają bardzo wolno lub nie działają wcale. W obszarze Funkcje DirectX na stronie Ekran należy sprawdzić, czy przyspieszenie DirectDraw, Direct3D lub AGP Texture jest oznaczone jako „Niedostępne”. Jeśli przyspieszenie to jest niedostępne, konieczne może być zmodernizowanie sprzętu.
  • Urządzenie nie jest podłączone. Jeśli joystick lub inne urządzenie wejściowe nie odpowiada, można przypuszczać, że nie jest ono prawidłowo skonfigurowane. Należy upewnić się, że urządzenie jest uwzględnione na stronie Wejście Narzędzia diagnostycznego DirectX. Jeśli urządzenie to nie jest uwzględnione, należy je dodać za pomocą Panelu sterowania.
  • Sterowniki nie uzyskały certyfikatów. Firma Microsoft nie testowała sterowników, które nie uzyskały certyfikatów, pod względem pełnej zgodności z najnowszą wersją oprogramowania DirectX. Sterowniki tego typu są wymienione na stronach odpowiednich składników.


Testowanie składników DirectX

Oprogramowanie DirectDraw® i Direct3D® firmy Microsoft® można testować na każdym monitorze podłączonym do systemu. Można również testować oprogramowanie DirectSound® na każdym wyjściowym urządzeniu dźwiękowym i oprogramowanie DirectMusic® na każdym porcie muzycznym.

Aby przetestować funkcję DirectX: kliknij przycisk Testuj na odpowiedniej stronie, przeczytaj pojawiające się komunikaty i zaobserwuj lub odsłuchaj rezultaty testów. Kontynuuj każdy test do chwili, kiedy zostanie wyświetlony komunikat zawierający pytanie o pomyślny wynik testu. Jeżeli wybierzesz odpowiedź Nie, kolejne testy nie będą wykonywane.

W przypadku oprogramowania DirectMusic wykonywany jest jeden test. Kliknij przycisk OK, kiedy ustalisz, czy muzyka jest odtwarzana prawidłowo, czy nie.

Funkcję Microsoft DirectPlay® można testować przy użyciu dowolnego dostępnego usługodawcy.

strzałka procedury Aby przetestować funkcję DirectPlay

  1. Na stronie Sieć kliknij przycisk Testuj moduł DirectPlay. W oknie dialogowym Testowanie programu DirectPlay wpisz nazwę użytkownika i zaznacz usługodawcę. Zaznacz opcję Utwórz nową sesję, a następnie kliknij przycisk OK. W przypadku połączenia modemowego kliknij przycisk Odbierz w oknie dialogowym Połączenie modemowe, aby przełączyć modem do trybu automatycznego odbierania połączeń.
  2. Następnie uruchom Narzędzie diagnostyczne DirectX® firmy Microsoft na innym komputerze, który może nawiązać wybrane połączenie z pierwszym komputerem. Kliknij przycisk Testuj moduł DirectPlay, wpisz inną nazwę użytkownika, wybierz tego samego usługodawcę, kliknij opcję Dołącz do istniejącej sesji i kliknij przycisk OK.

    3. W przypadku niektórych typów połączeń konieczne może być udostępnienie dodatkowych informacji, takich jak numer telefonu. Jeżeli wykorzystywane jest połączenie TCP/IP w sieci lokalnej, pole tekstowe można pozostawić puste.

  3. Na drugim komputerze w polu Lista sesji, zawierającym nazwę sesji utworzonej na pierwszym komputerze, zaznacz nazwę odpowiedniej sesji i kliknij przycisk OK.
  4. Okno dialogowe rozmowy powinno być wyświetlone na obu komputerach. Wpisz wiadomość w odpowiednim polu na jednym z komputerów i kliknij przycisk Wyślij. Wiadomość powinna pojawić się w przewijanym obszarze okna dialogowego rozmowy na obu komputerach.


Zmienianie zachowania domyślnego

Na stronie Dźwięk można ustawić różne poziomy przyspieszenia sprzętowego, przesuwając suwak. Ustawiony poziom będzie obowiązywał po zamknięciu Narzędzia diagnostycznego DirectX® firmy Microsoft®.

Uwaga W systemie Microsoft® Windows® 95 funkcja ta jest niedostępna.

Można wyłączyć przyspieszenie sprzętowe dla oprogramowania DirectDraw® lub Direct3D®, jeżeli przyspieszenie tego typu jest dostępne. W tym celu należy wyświetlić stronę Ekran dla każdego urządzenia wyświetlającego i kliknąć przycisk Wyłącz. Po wyłączeniu przyspieszenia sprzętowego nie będzie ono dostępne dla żadnej aplikacji, nawet jeśli Narzędzie diagnostyczne DirectX zostanie zamknięte. Aby ponownie włączyć przyspieszenie sprzętowe, należy kliknąć przycisk Włącz na odpowiedniej stronie Ekran.

Uwaga Wyłączenie przyspieszenia DirectDraw powoduje również wyłączenie przyspieszenia dla składnika Direct3D.

Można również zmienić częstotliwość odświeżania monitora ustawioną przez pełnoekranowe aplikacje DirectDraw. Operację tę należy wykonywać tylko wtedy, gdy podczas korzystania z aplikacji występują problemy z monitorem i istnieje duże prawdopodobieństwo, że aplikacja ustawia nieprawidłową częstotliwość odświeżania.

strzałka procedury Aby zmienić częstotliwość odświeżania

  1. Na stronie Więcej pomocy kliknij przycisk Zastąp.
  2. W oknie dialogowym Zmienianie zachowania funkcji odświeżania DirectDraw zaznacz pole edycji i wprowadź prawidłową częstotliwość odświeżania dla monitora.

    3. Po wykonaniu tej operacji opcja Wartość zastępcza jest zaznaczana automatycznie.

  3. Kliknij przycisk OK.
strzałka procedury Aby anulować wprowadzone zmiany częstotliwości odświeżania i umożliwić aplikacjom DirectDraw ustawianie własnych częstotliwości odświeżania

  1. Na stronie Więcej pomocy kliknij przycisk Zastąp.
  2. W oknie dialogowym Zmienianie zachowania funkcji odświeżania DirectDraw zaznacz opcję Domyślna i kliknij przycisk OK.